#include <stdio.h>
#include <limits.h>
#include "common.h"

int
main(int argc, char **argv)
{
  int           i;
  UserRec       ur;
  
  /* Check usage is correct */
  if (argc<1) {
    printf("Usage: acua-fixdb <file>\n");
  }

  readConfig();
  userFileOpen();

  while (!userFileRead(&ur)) {
    for (i=0; i<MAX_HOSTS; i++) {
      ur.nLogins[i] = 0;
      ur.host[i] = 0;
    }
    ur.nHosts = 0;
    userFileEdit(&ur);
  }

  userFileClose();
  return(0);
}

