#include "common.h"

int
acua_pp(int argc, char **argv)
{
  uid_t                    uid;
  int			   argv_offset = 0,
                           i,
			   raw_data = 0;
  UserRec                  ur;
  char                     inPath[256];

  readConfig();
  if (argc != 4)
    errQuit("usage: pp [-n] <login> <infile> <outfile>");
  while ((i = getopt(argc, argv, "n")) != EOF) {
      switch (i) {
          case 'n':
	    raw_data = 1;
	    argv_offset++;
	    break;
      }
  }
		          
  uid = UIDfromLogin(argv[argv_offset+1]);
  if (uid == (uid_t)-1)
    errQuit("user does not exist: %s", argv[argv_offset+1]);
  userFileOpen();
  if (userFileSearch(&ur, uid))
    errQuit("user not found: %s", argv[argv_offset+1]);
  if (argv[argv_offset+2][0] == '/') strcpy(inPath, argv[argv_offset+2]);
  else sprintf(inPath, ETC"/templates/%s", argv[argv_offset+2]);
  preprocessFile(&ur, inPath, argv[argv_offset+3], raw_data);
  userFileClose();
  return 0;
}
